mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

A typed reference is a type/value combination used for varargs and other support. TypedReference is a built-in value type that can be used for parameters and local variables.

Arrays of TypedReference objects cannot be created. For example, the following call is invalid:

code reference: System.TypedReference#1

Describes objects that contain both a managed pointer to a location and a runtime representation of the type that may be stored at that location.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method overrides .

  Checks if this object is equal to the specified object.

  true if this object is equal to the specified object; otherwise, false.

  The object with which to compare the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  Returns the hash code of this object.

  The hash code of this object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` To be added

  Returns the type of the target of the specified TypedReference.

  The type of the target of the specified TypedReference.

  The value whose target's type is to be returned.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.TypedReference `` ``

  The array has no elements.

  -or-

  An element of is not a .

  or is .

  -or-

  An element of is .

  Parameter does not contain the field described by the first element of , or an element of describes a field that is not contained in the field described by the succeeding element of .

  -or-

  The field described by an element of is not a value type.

  The method returns a typed reference to some terminal field, where the parameter contains the field described by the first element of , the field described by the first element of contains the field described by the second element of , and so on until the terminal field is reached.

  For an explanation of run-time type system objects such as RuntimeFieldInfo, see Runtime Types in Reflection.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  Makes a TypedReference for a field identified by a specified object and list of field descriptions.

  A for the field described by the last element of .

  An object that contains the field described by the first element of . A list of field descriptions where each element describes a field that contains the field described by the succeeding element. Each described field must be a value type. The field descriptions must be RuntimeFieldInfo objects supplied by the type system.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` ``

  This method converts to .

  is .

  The requested conversion is not possible.

  Converts the specified value to a TypedReference. This method is not supported.

  This method always throws .

  The target of the conversion. The value to be converted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle `` To be added

  Returns the internal metadata type handle for the specified TypedReference.

  The internal metadata type handle for the specified TypedReference.

  The TypedReference for which the type handle is requested.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  This might be a boxing operation.

  Converts the specified TypedReference to an Object.

  An converted from a TypedReference.

  The TypedReference to be converted.